View Issue Details

IDProjectCategoryView StatusLast Update
0004009SymmetricDSImprovementpublic2019-09-27 17:00
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.2 
Target Version3.10.3Fixed in Version3.10.3 
Summary0004009: Improve logging for conflict resolution
DescriptionFor primary key UPDATE that gets a PK violation, change logging to be clear that it's a PK violation. Add some logging at DEBUG level to help with understanding why it's a primary key violation versus a unique key violation.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 99c387e1

2019-06-17 10:44:20

admin

Details Diff
0004009: Improve logging for conflict resolution
0004009
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File

SymmetricDS: 3.11 6a932dc3

2019-06-17 10:44:20

admin

Details Diff
0004009: Improve logging for conflict resolution
0004009
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File

Issue History

Date Modified Username Field Change
2019-06-17 10:44 elong New Issue
2019-06-17 10:44 elong Status new => assigned
2019-06-17 10:44 elong Assigned To => elong
2019-06-17 10:48 elong Status assigned => resolved
2019-06-17 10:48 elong Resolution open => fixed
2019-06-17 10:48 elong Fixed in Version => 3.10.3
2019-06-17 11:00 admin Changeset attached => SymmetricDS 3.10 99c387e1
2019-06-25 14:05 admin Status resolved => closed
2019-09-27 17:00 admin Changeset attached => SymmetricDS 3.11 6a932dc3